<?php

namespace App\Classes\Modules\Accounts\Standards\Validators;

use App\Classes\General\Abstracts\AbstractValidation;
use App\Classes\Modules\Accounts\DataTransferObjects\CrossAuthenticationCredentialsObject;

class UserCrossAuthenticationValidation extends AbstractValidation
{


    /**
     * @param CrossAuthenticationCredentialsObject $object
     * @return array
     */
    protected function data($object): array {
        return [
            'access_token' => $object->getAccesstoken(),
            'platform' => $object->getPlatform()
        ];
    }

    /**
     * @return array
     */
    protected function rules(): array {
        return [
            'access_token' => 'required',
            'platform' => 'required'
        ];
    }

    /**
     * @return array
     */
    protected function messages(): array {
        return [];
    }




}